%% Determinarea erorilor absolute si a erorii medii procentuale


%% Incarcam datele si sistemul fuzzy

%incarcam setul de date (de verificare) utilizand comanda "load"

load verificare

% citim in workspace sistemul fuzzy care modeleaza functia, utilizand
% instructiunea "readfis"
% utilizati numele fisierului salvat anterior ce contine sistemul fuzzy in
% loc de 'nume.fis'

fisini=readfis('nume.fis');

%% Pregatim datele
% din matricea corespunzatoare datelor incarcate selectati doar coloana
% care contine valoarea amplificarii de referinta, adica coloana a treia
% utilizand operatorul ":"

amplificare_referinta=verdata(:,3);

% selectam datele de intrare penttru sistemul fuzzy din matricea care
% contine datele, adica doar primele doua coloana
% utilizand operatorul ":"

intrari=verdata(:,1:2);

%%  calculam amplificarea furnizata de modelul fuzzy (sistemul fuzzy)
% utilizam instructiunea "evalfis" furnizand ca date de intrare primele

% doua coloane din matricea de date, adica intrarile pentru sistemul fuzzy

amplificare_fuzzy=evalfis(intrari, fisini);

%% calculam erorile
% eroarea absoluta pentru toate datele
eroare_abs=amplificare_referinta-amplificare_fuzzy
% calculam eroarea relativa ca raport intre eroarea absoluta si
% amplificarea de referinta
% IMPORTANT: pentru a efectua impartirea a dopua matrici valoare cu valoare
% utilizati operatorul "./"
eroare_relativa=eroare_abs./amplificare_referinta
% determinati valoarea maxima a erorii absolute utilizand functia "max"
Eroare_max_absoluta=max(eroare_abs)
% determinati valoarea maxima a erorii relative
Eroare_max_relativa=max(eroare_relativa)
% determinati eroarea procentuala medie utilizand functiile "sum" si "length"
Eroare_medie_procentuala=sum(eroare_relativa)/length(eroare_relativa)

% afisati toate aceste valori


